Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.util
Class PBKDF2Config.Builder

    java.lang.Object
      org.bouncycastle.crypto.util.PBKDF2Config.Builder

Enclosing class:
  PBKDF2Config

public static class PBKDF2Config.Builder
extends java.lang.Object

Constructor Summary
`PBKDF2Config.Builder()` Base constructor.

Method Summary
`PBKDF2Config` | `build()`
`PBKDF2Config.Builder` | `withIterationCount(int iterationCount)` Set the iteration count for the PBE calculation.
`PBKDF2Config.Builder` | `withPRF(AlgorithmIdentifier prf)` Set the PRF to use for key generation.
`PBKDF2Config.Builder` | `withSaltLength(int saltLength)` Set the length of the salt to use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PBKDF2Config.Builder

    public PBKDF2Config.Builder()

  Base constructor. This configures the builder to use an iteration count of 1024, and the HMacSHA1 PRF.

Method Detail

### withIterationCount

    public PBKDF2Config.Builder withIterationCount(int iterationCount)

  Set the iteration count for the PBE calculation.

  Parameters:
    `iterationCount` - the iteration count to apply to the key creation.
  Returns:
    the current builder.

### withPRF

    public PBKDF2Config.Builder withPRF(AlgorithmIdentifier prf)

  Set the PRF to use for key generation. By default this is HmacSHA1.

  Parameters:
    `prf` - algorithm id for PRF.
  Returns:
    the current builder.

### withSaltLength

    public PBKDF2Config.Builder withSaltLength(int saltLength)

  Set the length of the salt to use.

  Parameters:
    `saltLength` - the length of the salt (in octets) to use.
  Returns:
    the current builder.

### build

    public PBKDF2Config build()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD